mkdir -p logs
mkdir -p models

beam_width=10;
sample_rate=0.1;
for data in "eur-lex";
do
  for seed in 1;
  do
    export MKL_INTERFACE_LAYER=ILP64

    num_models=1
    K=100

    head="Tree-with-all-labels"
    param="seed=${seed}_K=${K}_beam-width=${beam_width}"
    name="${head}_${data}_${param}" 

    python3 predict_tree.py \
      --seed ${seed} --K ${K} --beam_width ${beam_width} \
      --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs/${name}.log

    head="Rand-partitions-${num_models}"
    param="seed=${seed}_K=${K}_beam-width=${beam_width}"
    name="${head}_${data}_${param}" 

    python3 predict_random_label_partitions.py \
      --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
      --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs/${name}.log

    K=10
    for num_models in 1 10;
    do
      head="Rand-partitions-${num_models}"
      param="seed=${seed}_K=${K}_beam-width=${beam_width}"
      name="${head}_${data}_${param}" 

      python3 predict_random_label_partitions.py \
        --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
        --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
        |tee ./logs/${name}.log

      head="Rand-label-Forest-No-replacement-${num_models}"
      param="seed=${seed}_K=${K}_beam-width=${beam_width}"
      name="${head}_${data}_${param}" 

      python3 predict_random_label_forests_with_partitions.py \
        --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
        --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
        |tee ./logs/${name}.log
      head="Rand-label-Forest-No-replacement-${num_models}"
      param="seed=${seed}_K=${K}_beam-width=${beam_width}"
      name="${head}_${data}_${param}" 

      python3 predict_random_label_forests_with_partitions.py \
        --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
        --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
        |tee ./logs/${name}.log

    done

    num_models=100;
    K=100;

    head="Rand-selections-${num_models}"
    param="seed=${seed}_K=${K}_beam-width=${beam_width}_sample-rate=${sample_rate}"
    name="${head}_${data}_${param}" 

    python3 predict_random_selections.py \
      --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
      --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs/${name}.log

    head="Rand-label-Forest-${num_models}"
    param="seed=${seed}_K=${K}_beam-width=${beam_width}_sample-rate=${sample_rate}"
    name="${head}_${data}_${param}" 

    python3 predict_random_label_forests.py \
      --num_models ${num_models} --seed ${seed} --K ${K} --beam_width ${beam_width} \
      --sample_rate ${sample_rate} --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs/${name}.log

  done
done

