mkdir -p logs-tr
mkdir -p models

for data in  "eur-lex";
do
  for seed in 1;
  do
    K=100
    num_models=1
    idx=0

    head="Tree-with-all-labels"
    param="seed=${seed}_K=${K}"
    name="${head}_${data}_${param}" 

    python3 train_tree.py --seed ${seed} --K ${K} \
      --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs-tr/${name}.log

    head="Rand-label-partitions-No-replacement-${num_models}"
    param="seed=${seed}_K=${K}"
    name="${head}_${data}_${param}" 

    python3 train_random_partitions.py \
      --num_models ${num_models} --seed ${seed} --K ${K} \
      --idx ${idx} --datapath "./datasets/pickle-format/${data}" \
      |tee ./logs-tr/${name}.log

    K=10
    num_models=10
    for idx in {0..9};
    do
      head="Rand-label-partitions-No-replacement-${num_models}"
      param="seed=${seed}_K=${K}"
      name="${head}_${data}_${param}" 

      python3 train_random_partitions.py \
        --num_models ${num_models} --seed ${seed} --K ${K} \
        --idx ${idx} --datapath "./datasets/pickle-format/${data}" \
        |tee ./logs-tr/${name}.log

      head="Rand-label-Forest-No-replacement-${num_models}"
      param="seed=${seed}_K=${K}"
      name="${head}_${data}_${param}" 

      python3 train_random_label_forests_with_partitions.py \
        --num_models ${num_models} --seed ${seed} --K ${K}  \
        --idx ${idx} --datapath "./datasets/pickle-format/${data}" \
          |tee ./logs-tr/${name}.log
    done

    K=100
    num_models=100
    sample_rate=0.1
    for idx in {0..99};
    do
      head="rand-selection-${num_models}"
      param="seed=${seed}_k=${k}_sample-rate=${sample_rate}"
      name="${head}_${data}_${param}" 

      python3 train_random_selections.py \
        --num_models ${num_models} --seed ${seed} --K ${K} \
        --sample_rate ${sample_rate} --idx ${idx} --datapath "./datasets/pickle-format/${data}" \
        |tee ./logs-tr/${name}.log

      head="Rand-label-Forest-${num_models}"
      param="seed=${seed}_K=${K}_sample-rate=${sample_rate}"
      name="${head}_${data}_${param}" 

      python3 train_random_label_forests.py \
        --num_models ${num_models} --seed ${seed} --K ${K} \
        --sample_rate ${sample_rate} --idx ${idx} --datapath "./datasets/pickle-format/${data}" \
          |tee ./logs-tr/${name}.log
    done
  done
done

